Minimum Bridge Wall Length
====
When detecting which parts of your print are bridging, this setting allows you to specify a minimum length for bridged walls. Any walls shorter than this minimum length are not seen as bridging but just overhanging walls, and are printed using the normal settings for printing those walls. Any walls that go unsupported for longer will be marked as bridging.

Bridging short line pieces is often ineffective. These lines won't sag a lot anyway because they need to bridge only a short distance. However if the bridging technique is used then the [flow rate](bridge_wall_material_flow.md) and [speed](bridge_wall_speed.md) will be adjusted as well. This will change the rate at which nozzle flows out of the nozzle, produces overextrusion in some parts and underextrusion in others. By filtering out very short pieces of walls, the flow rate won't be interrupted for those but the quality of overhangs will still be better for places where it is important to adjust the flow rate. It will not perform any [coasting](bridge_wall_coast.md) nor overextrude after the bridge to restore the nozzle chamber pressure. As a result, the print is likely going to be more consistent, though at the cost of sagging in this short bridge, if it is not short enough to bridge with normal extrusion.