Bridge Wall Speed
====
This setting controls the speed at which the wall lines are being printed while bridging a gap.

For materials that require the fan to be turned on and turned up high (such as PLA), it is generally better to print bridges very slow. This allows the fans to blow a lot of air over the material, which causes them to solidify very quickly. The material doesn't get as much chance to sag then. This is less effective for materials that don't need the fan to be spinning so fast or printers that don't have a very powerful fan.

However printing slow will also create a large change in the rate at which material needs to be extruded from the nozzle opening. While the print head can generally slow down very quickly, the material in the nozzle chamber will remain flowing for a while longer due to latent pressure inside the nozzle chamber. So as the print head slows down, there will be some overextrusion in the beginning of the bridging line. As the print head speeds up again afterwards, there will be some underextrusion. Keeping the speed closer to the normal [printing speed of the walls](../speed/speed_wall.md) prevents that from happening.

In general it is better to print the bridging walls very slowly with materials that print at cold temperatures, such as PLA. It is better to print the bridging walls around the same speed as the ordinary wall speed when printing with high-temperature materials such as polycarbonate.