Extruders Share Heater
====
With this setting, you can indicate that all of the nozzles in this printer share a single heater. Cura will not cool down nozzles for particular extruders then when they are inactive. Since they share a heater, it is assumed that the extruder must stay warm for another extruder to keep extruding.

Most commonly this is necessary for mixing nozzles, where multiple filaments are fed into the same nozzle. This nozzle just has one heater that heats up whichever filament is inside the nozzle at the time. If Cura would control the heating for each filament separately, it would simultaneously try to keep the nozzle hot for the active filament, while cooling it down to the [stand-by temperature](../material/material_standby_temperature.md) for the other filaments. This is impossible, and results in either heating up only for the first filament, or permanently printing on stand-by temperature if the firmware just applies the heating commands to the one nozzle regardless of which tool they are aimed at. Indicating to Cura that the extruders share a heater prevents this problem. Cura will no longer let the nozzle go to the stand-by temperature and doesn't apply a heating command to any specific extruder any more.

Cura will not necessarily assume that if the extruders share a heater they also share a nozzle. For that, there is a separate setting to indicate that [extruders share a nozzle](machine_extruders_share_nozzle.md).

**Since this is a machine setting, it will not normally be listed in the normal list of settings. There is a checkbox for this setting though in the printer settings dialogue, which can be found in the list of added printers in the preferences dialogue.**