Heat Up Speed
====
This setting tells Cura how fast your printer can heat up this nozzle. It is used for predicting when to start pre-heating the nozzle before switching extruders.

![The nozzles start heating up in advance before switching extruders](../images/temperature_regulation.svg)

When switching nozzles, Cura will start pre-heating the next nozzle before it needs to be used, so that it's ready for use when the other extruder is just done. To do that it will take the difference between the current nozzle temperature and the target nozzle temperature, and divide this by the heat up speed, to arrive at a duration to preheat the nozzle for.

If the nozzle actually heats up faster than what this setting indicates, the nozzle will be at the target temperature for a while before the other extruder is done printing. During this time it will ooze some material and the plastic might degrade a bit in the nozzle, resulting in [underextrusion](../troubleshooting/underextrusion.md).

If the nozzle actually heats up slower than what this setting indicates, the printer will need to wait at the extruder switch until the nozzle has the desired temperature for printing. This will take some extra time. Apart from that, the previous extruder will also be kept at the final printing temperature during this wait, which leads it to ooze more material and degrade the plastic in the nozzle again. This is necessary to prevent the material to cool down further than what Cura was expecting during slicing, which would make the difference in temperature greater than what Cura was expecting and thus leads to an even longer waiting period next time. This would lead to a runaway effect where the prediction becomes worse with every layer, so Cura needs to keep the previous material hot until the temperature of the other nozzle is reached.

The actual heat up speed is not a constant rate in degrees per second. More likely it will depend on the difference between the current nozzle temperature and the temperature of the build volume. As such it will heat up faster when it's cold, and when it approaches the target temperature it will heat up more slowly. The PID regulator of the printer also plays a big role in this. Most regulators will slow down the heating just before reaching the target temperature to avoid overshooting it. If you're tuning this, try to tune it by measuring the time it takes to heat from the [stand-by temperature](../material/material_standby_temperature.md) to the [initial printing temperature](../material/material_initial_print_temperature.md). This is the most important track that Cura will attempt to predict. When making small prints, you could lower the heat up speed slightly to adjust for that it won't start from the stand-by temperature but from a higher temperature.

**Since this is a machine setting, this setting is not normally visible in the settings list.**