Maximum Park Duration
====
Even if a printer has dry storage, it may present the material ready at the nozzle for a while after finishing the previous print, or after loading in the material, because the user is likely to make a new print soon. This setting configures the maximum duration that the material is outside of the dry storage, ready for printing. If it's outside for any longer, it will start degrading due to moisture in the air.

Reducing this setting requests printers to retract the filament back into dry storage more quickly, which is less convenient for the user. However if the material is parked for too long, the moisture absorbed from the air will degrade the material. This can increase the friction in the extruder train, leading to grinding when the printer starts printing again. It may also make the material more brittle, leading to weaker parts or broken filament. Broken filament results in failed prints, or in failure to retract if the printer has a Bowden tube.

**This setting is currently never visible in Cura's interface. It can only be set by the profiles. It is also not used by Cura during slicing. However, printers that understand Cura's material file format may use it to decide on how long to keep the filament out of dry storage.**