Enable Support Interface
====
A "support interface" is an intermediary structure in between the normal support and the model. This structure can adjust the properties of how support interfaces with the model without affecting the majority of the support much.

<!--screenshot {
"image_path": "support_interface_enable.png",
"models": [{"script": "trash_bin_lid.scad"}],
"camera_position": [93, 188, 87],
"settings": {
    "support_enable": true,
    "support_interface_enable": true
},
"colours": 64
}-->
![Support interface is shown in a darker shade of blue](../images/support_interface_enable.png)

By default the interface layers are denser than the normal support. This achieves a better overhang surface without needing all that much extra material and printing time. However, it will be harder to remove the support.

The support interface can also be printed with a different extruder than the rest of the support. Some materials aimed at printing support can be very expensive and slow to print. This way, most of the support is still printed with the cheaper or faster material, but the interface where the use of the support material comes to fruition is printed with the fancier material.