Top Surface Skin Extruder
====
For printers that have multiple extruders, this selects the extruder that will be used to print the top surface.

<!--screenshot {
"image_path": "roofing_extruder_nr.png",
"models": [
    {
        "script": "question_stick_clip.scad",
        "transformation": ["scale(0.5)"]
    }
],
"camera_position": [0, -90, 60],
"settings": {
    "wall_line_count": 0,
    "skin_outline_count": 0,
    "roofing_layer_count": 1,
    "roofing_extruder_nr": 1
},
"colour_scheme": "material_colour",
"colours": 32
}-->
![This model will be printed with only the top surface layers in a different colour](../images/roofing_extruder_nr.png)

This way you can give the top surface a different colour or material. Keep in mind that the extruder of the walls is not adjusted by this setting, so there will still be a rim around the top surface.

Other than giving the top surface a different colour, you could also use this to print the top surface with a different material. This can give a variety of effects:
* Print the top surface and outer wall in PLA while printing the rest with a more rigid material to get a strong object that also looks good.
* Print the top surface with TPU but the rest with a harder material to achieve a soft, high-friction gripping surface.
* Print the top surface with a material that is more slippery than the stronger material you need for the insides of the model, if something needs to slide over the surface.

**If the material for the top surface doesn't stick well to the material below it, it tends to let go after printing. Be especially careful with materials with high shrinkage ratios.**