Top/Bottom Extruder
====
The top and bottom side of the object can be printed with a different extruder than the rest of the model, if desired. With this setting you can choose which extruder will be used for the top and bottom sides.

<!--screenshot {
"image_path": "top_bottom_extruder_nr.png",
"models": [{"script": "gear_hollow.scad"}],
"camera_position": [40, -40, 110],
"settings": {"top_bottom_extruder_nr": 2},
"colour_scheme": "material_colour",
"colours": 32
}-->
![The top and bottom of this object are printed in red](../images/top_bottom_extruder_nr.png)

This setting does not influence the walls, which are printed next to the top and bottom and will be visible from the top and bottom of your print.

Example use cases of printing the top and bottom with a different extruder include:
* Printing them in a different colour for a visual effect.
* Printing them with a softer material, which gives the model a soft touch and increases friction so that you can hold on to it more easily.
* Printing them with a hard material to give the model more horizontal strength while still retaining the nice visual quality of your other material on the walls.
* Printing them with a material with a low friction coefficient so that other objects may slide more easily over the surface, when moving parts are involved in your final design.