Retraction Distance
====
This is the distance, in millimetres, that the material is retracted from the nozzle tip, when a retraction is made.

The setting has numerous effects in all sorts of ways.
* Retracting the material produces an underpressure inside the nozzle chamber, which pulls the material back inside the nozzle opening. Retracting the material farther increases this underpressure, so that it works for denser materials.
* When making long travel moves, the retracted material still has some time to melt in the nozzle chamber. Retracting the material farther makes it take a longer time for this molten material to drip out, preventing stringing.
* Retractions wear down the material where the feeder grips them. Longer retractions wear down more of the material. This may cause the feeder to lose grip, which would cause the printer to stop extruding altogether.
* Longer retractions take more time than shorter ones.
* Retractions that are made on the surface of the model will cause a bigger blob while the material is being retracted, because the nozzle pauses for a longer time while the material is being retracted.

If the feeder is very far removed from the nozzle (such as in a printer with a Bowden tube), then retracting the material typically has no effect at all unless the retracted distance is very large. Instead of retracting the material from the nozzle, some of the play in the filament is pulled in. The pressure on the nozzle is then reduced, but it will keep oozing material. This is why printers with a Bowden tube tend to require much greater retraction distances.