Mindestvolumen Einzugsturm
====
Dies gibt an, wie viel Material bei jedem Wechsel des Extruders gepurged werden muss. Die Idee dahinter ist, dass ein bestimmtes Volumen aus der Düse geflossen ist, während sie im Standby-Modus war. Das mit dieser Einstellung angegebene Volumen soll dies ausgleichen.

![Das extrudierte Volumen ist grün hervorgehoben.](../../../articles/images/prime_tower.svg)

Diese Einstellung gibt die Mindestmenge an Material an, die abgelassen werden muss. Die Konturen des Einzugsturm werden jedoch vollständig fertiggestellt, so dass mehr Material ausgegeben werden kann, je nachdem, wie gut das Volumen mit dem Volumen einer Kontur übereinstimmt.

Einige Drucker haben mehrere separate Düsen, während andere mehrere Materialien in eine einzige Düse leiten. Ein guter Wert für diese Einstellung ist für beide sehr unterschiedlich.
* Wenn Ihr Drucker über mehrere Düsen verfügt, besteht die einzige Notwendigkeit für das vorbereitete Volumen darin, den Materialverlust auszugleichen, während die andere Düse aktiv war. Es wird ein wenig Material ausgetreten sein, und der erforderliche Druck in der Düsenkammer ist verloren gegangen. Eine kleine Menge Material reicht aus, um den Druck in der Düsenkammer wiederherzustellen. Fließfähigere Materialien wie PETG benötigen in der Regel ein größeres Mindestvolumen. Wenn das Mindestvolumen des Ansaugturms zu niedrig ist, kommt es zur [Unterextrusion](../troubleshooting/underextrusion.md) am Beginn des Extrusionsweges nach dem Extruderwechsel.
* Wenn Ihr Drucker mehrere Filamente in dieselbe Düse drückt, muss der Einzugsturm auch das restliche Material aus der Düse spülen. Beim Zurückziehen des vorherigen Filaments wird immer ein kleiner Klecks in der Düse verbleiben, da das Material dort unterhalb der Heizzone flüssig war und nicht mit dem Rest des Filaments mitgezogen wird. Das Mindestvolumen des Einzugsturm muss daher mindestens das Volumen der gesamten heißen Zone der Düse betragen. In der Praxis wird deutlich mehr benötigt, denn wenn das neue Filament hineingeschoben wird, vermischt es sich mit dem alten Filament und verdrängt es zur Seite. Es wird viel mehr Material als Puffer benötigt, um das gesamte alte Material herauszubekommen, damit es nicht verunreinigt wird. All dies übersteigt das Problem der Rückgewinnung des Düsendrucks aufgrund von nachlaufen erheblich, so dass der Nachlauf nicht mehr ins Gewicht fällt. Wenn das Mindestvolumen des Einzugsturm zu niedrig ist, vermischen sich die Materialien in diesem Fall, so dass die Farben stärker verlaufen oder Sie nach dem Auflösen des wasserlöslichen Trägermaterials Grübchen in Ihrem Druck haben.

Eine zu hohe Einstellung des Mindestvolumens des Einzugsturm ist relativ harmlos, führt aber dazu, dass der Druck länger dauert und mehr Material verschwendet wird. Das Volumen wird durch die [Größe Einzugsturm](prime_tower_size.md) begrenzt. Das Volumen kann höher eingestellt werden als das Gesamtvolumen des Einzugsturm auf dieser Schicht, aber wenn der Einzugsturm voll geplant ist, hat das keine Auswirkungen mehr auf den Druck.

Das Volumen kann für jeden Extruder unterschiedlich sein, so dass der endgültige Turm für jeden der Extruder eine unterschiedliche Anzahl von Konturen haben kann.