Aufheizgeschwindigkeit
====
Diese Einstellung teilt Cura mit, wie schnell Ihr Drucker diese Düse aufheizen kann. Sie wird verwendet, um vorherzusagen, wann mit dem Vorheizen der Düse vor dem Umschalten der Extruder begonnen werden soll.

![Die Düsen werden vor dem Umschalten des Extruders aufgeheizt.](../../../articles/images/temperature_regulation.svg)

Beim Düsenwechsel beginnt Cura mit dem Vorheizen der nächsten Düse, bevor diese verwendet werden muss, so dass sie einsatzbereit ist, wenn der andere Extruder gerade fertig ist. Dazu wird die Differenz zwischen der aktuellen Düsentemperatur und der Zieldüsentemperatur genommen und durch die Aufheizgeschwindigkeit geteilt, um eine Dauer für das Vorheizen der Düse zu erhalten.

Wenn sich die Düse tatsächlich schneller aufheizt, als es diese Einstellung angibt, wird die Düse eine Weile auf der Zieltemperatur sein, bevor der andere Extruder mit dem Drucken fertig ist. Während dieser Zeit wird etwas Material austreten und der Kunststoff kann sich in der Düse etwas zersetzen, was zu [underextrusion](../troubleshooting/underextrusion.md) führt.

Wenn sich die Düse tatsächlich langsamer aufheizt, als es diese Einstellung angibt, muss der Drucker am Extruderschalter warten, bis die Düse die gewünschte Temperatur zum Drucken hat. Dies wird einige zusätzliche Zeit in Anspruch nehmen. Außerdem wird der vorherige Extruder während dieser Wartezeit auf der endgültigen Drucktemperatur gehalten, was dazu führt, dass er mehr Material aussaugt und den Kunststoff in der Düse wieder abbaut. Dies ist notwendig, um zu verhindern, dass das Material während des Schneidens weiter abkühlt als von Cura erwartet, wodurch der Temperaturunterschied größer wäre als von Cura erwartet und somit beim nächsten Mal zu einer noch längeren Wartezeit führen würde. Dies würde zu einem Runaway-Effekt führen, bei dem die Vorhersage mit jeder Schicht schlechter wird, so dass Cura das vorherige Material heiß halten muss, bis die Temperatur der anderen Düse erreicht ist.

Die tatsächliche Aufheizgeschwindigkeit ist keine konstante Rate in Grad pro Sekunde. Vielmehr hängt sie von der Differenz zwischen der aktuellen Düsentemperatur und der Temperatur des Bauvolumens ab. Wenn der Drucker kalt ist, heizt er schneller auf, und wenn er sich der Zieltemperatur nähert, heizt er langsamer auf. Der PID-Regler des Druckers spielt dabei ebenfalls eine große Rolle. Die meisten Regler verlangsamen die Erwärmung kurz vor dem Erreichen der Zieltemperatur, um ein Überschießen zu vermeiden. Wenn Sie dies einstellen, versuchen Sie es, indem Sie die Zeit messen, die es braucht, um von der [Standby-Temperatur](../material/material_standby_temperature.md) auf die [anfängliche Drucktemperatur](../material/material_initial_print_temperature.md) aufzuheizen. Dies ist die wichtigste Angabe, die Cura versucht, vorherzusagen. Wenn Sie kleine Drucke machen, können Sie die Aufheizgeschwindigkeit etwas herabsetzen, um sich darauf einzustellen, dass der Druck nicht von der Standby-Temperatur, sondern von einer höheren Temperatur startet.

**Da es sich um eine Maschineneinstellung handelt, ist diese Einstellung normalerweise nicht in der Einstellungsliste sichtbar.**