Couture
====
Les parois de votre impression sont imprimées en boucles continues, mais l'imprimante doit commencer cette boucle quelque part et la fermer correctement. Si la boucle n'est pas bien fermée, une couture visible sera créée. Ces coutures sont difficiles à enlever complètement, mais il est possible de les cacher ou de réduire leur taille.

![Une longue couture verticale à la surface](../../../articles/images/seam.jpg)

Il ne faut pas confondre avec le "joint en Z", qui est un joint qui se crée lorsque la buse se déplace à la hauteur de la couche suivante. Ce mouvement arrête la buse pendant un bref instant, créant ainsi un [blob](blobs.md) à cet endroit. La terminologie de Cura concernant les réglages de la couture est historiquement erronée à cet égard, car ses réglages dits de "couture en Z" concernent en fait l'endroit où placer la couture normale.

Placement de la couture
----
Les coutures sont difficiles à éviter, mais il est souvent assez facile de cacher la couture à un endroit où elle n'est pas si visible.

Le paramètre principal pour ajuster l'emplacement de la couture est le [Alignement de la jointure en Z](../shell/z_seam_type.md). Pour cacher la couture, placez-la dans le coin le plus net. Avec le paramètre [Préférence de jointure d'angle](../shell/z_seam_corner.md), vous pouvez ensuite choisir les types de coins à sélectionner. Pour masquer la couture, il est préférable de choisir "Masquer jointure" ou "Masquage intelligent", qui placent la couture dans un coin intérieur. Si votre modèle n'a pas de coins intérieurs pour se cacher, vous pouvez choisir "Exposer jointure" pour placer la couture sur un coin extérieur anguleux, où elle est également moins visible que sur une surface plane.

Si le placement automatique ne fonctionne pas bien, vous pouvez également choisir de placer la couture vous-même en choisissant "Utilisateur spécifié". Cela vous permettra de saisir les coordonnées [X](../shell/z_seam_x.md) et [Y](../shell/z_seam_y.md) de l'endroit où la couture sera positionnée. Choisissez un endroit où la couture ne sera pas visible.

Si tout le reste échoue, vous pouvez également vous étaler la couture sur toute la surface en sélectionnant "Aléatoire". Au lieu d'un joint continu sur la pièce, le joint sera situé à des endroits aléatoires sur la surface. La surface sera un peu marquée, mais il n'y aura plus de couture véritable.

Fermeture de la couture
----
La couture peut également être rendue moins visible en fermant plus soigneusement la jointure lors de sa création. Voici quelques paramètres qui peuvent être ajustés pour réduire la visibilité des coutures.
* Augmentez légèrement la [Distance d'essuyage de la paroi extérieure](../shell/wall_0_wipe_dist.md). Ce réglage fait que la buse continue son mouvement autour du contour brièvement après avoir effectué une boucle. Cela permet d'éviter de créer un espace où le contour est fermé. Cependant, si l'on augmente trop ce réglage, on risque de déposer trop de matière autour de l'endroit où se trouve la couture, ce qui la rendrait à nouveau visible.
* Le contraire est d'utiliser [La roue libre](../experimental/coasting_enable.md). Cela permet d'arrêter l'extrusion de la matière peu avant que le contour ne soit fermé. Cela réduit la pression à l'intérieur de la buse. L'idée ici est qu'il n'y aura pas trop de surextrusion lorsque le contour sera terminé, ce qui réduit la saillie du joint vers l'extérieur. Dès que la buse se déplace sur le début du contour, le plastique précédemment placé bloque facilement tout nouveau plastique puisque la pression dans la buse ne peut pas surmonter la contre-pression de la ligne de paroi solidifiée.
* Imprimer la paroi extérieure plus [lentement](../speed/speed_wall_0.md). Le matériau pourra mieux s'écouler pour fermer le joint à la fin.
