Высота слоя
====
3D принтер укладывает пластик слоями. Высота слоя измеряется в миллиметрах.

Это наиболее важный параметр, способный повлиять на детализацию деталей за счет увеличения/уменьшения времени печати.

![Высота слоя 0.1mm ](../../../articles/images/layer_height_0.1.png)
![Высота слоя 0.3mm ](../../../articles/images/layer_height_0.3.png)

Высота слоя является наиболее важным параметром в 3д печати. Изменение этого параметра влияет сразу на два параметра: визуальное качество модели и продолжительность печати. 
Вот некоторый перечень эффектов, проявляющие себя при изменении высоты слоя:

* Меньший слой дает лучшее качество внешней поверхности. Тонкие слои обеспечивают плавную детализацию на скруглениях. На толстых слоях будет сильно выражен эффект ступеньки "лестницы". Кроме того меньшим слоем можно достичь более гладкой поверхности.
* При печати тонким слоем улучшается детализация вертикальных поверхностей.
* Более толстые слои делают печать прочнее. Но слишком большое значение высоты может снизить межслойную адгезию.
* Более толстые слои уменьшают время печати. Сопло будет делать меньше горизонтальных проходов, а значит и времени затраченное на движение будет меньше.

Высота слоя и базовые профили
----

Многие настройки напрямую зависят от высоты слоя. Этот параметр может потребовать изменений других настроек. Например увеличение параметра высоты слоя повлияет на расход материала на единицу времени. Может потребоваться немного увеличить температуру экструзии, что в свою очередь компенсирует некоторые потери тепла из-за увеличении подачи материала.

Температура в свою очередь повлияет на текучесть материала.  Это разумеется повлияет на геометрию детали и на то какими будут острыми ваши углы.

Самым разумным решением будет использовать базовый профиль созданный для вашего принтера. Тот самый профиль, где настройки высоты и температуры будут близки к желаемым.

Также вы вполне можете перейти в пользовательский режим и самостоятельно подобрать нужную высоту слоя. Вероятнее всего вам удастся подобрать для себя более лучшие настройки качества/времени печати.

Важное примечание
----

При низком слое вы можете столкнуться с пределом по разрешению печати по вертикали (Z-axis). Прежде чем изменять высоту слоя, убедитесь что ваш принтер способен подниматься на кратное расстояние по высоте, выставленной в настройках. Если ваш принтер не способен подниматься на кратные расстояния, на вашей модели появятся полосы, а некоторые слои окажутся толще других.

*Обратите внимание, что высота слоя не распространяется на параметр "Высота первого слоя" и тип прилипания к столу "Подложка", у которых есть собственная настройка высоты. При использовании адаптивных слоев, настройка высоты будет использоваться в качестве базовой величины, но фактическая высота будет отклоняться в соответствии с заданными настройками "адаптивных слоев".*