Ширина линии
====
Этот параметр отвечает за ширину линии, которую принтер укладывает на каждом слое. Обычно базовое значение вычисляется и равно диаметру выходного отверстия сопла. Ширина линии может быть изменена, и соответсвенно материала может быть выдавлено больше или меньше за одно и тоже расстояние.

![Очень тонкие линии](../../../articles/images/line_width_small.png)
![Очень широкие линии](../../../articles/images/line_width_large.png)

Уменьшая данный параметр можно увеличить детализацию печатаемой модели. Также появляется возможность делать более тонкие линии. Ширина экструзии - это еще одна важная настройка печати.

Вот небольшой список, к чему может привезти изменение данного параметра.
* Тонких линии позволяют печатать тонкие элементы (стенки, перегородки), не вызывая искажения на моделях
* Изменение множителя ширины линии на значение равное толщине стенок помогает создать прочный обьект и улучшить поток материала
* Меньшая ширина линии делает поверность детали более гладкой
* Изменяя ширину линии в меньшую сторону можно повысить прочность изделия. Это происходит за счет того, что сопло делая очередной проходод слегка задевая предыдущую линию, тем самым спекая линии вместе.
* Слишком широкие линии могут привести к недоэкструзии. Принтер всегда должен продавить достаточно материала для заполнения желаемой ширины. Но в какой то момент может возникнуть противодавление и материала уже не будет хватать для заполнения все пустот. Это выражено в пустых промежутках между линиями
* Слишком тонкие линии способны также вызывать недоэкструзию. Существует минимальная экструзия, ниже которого материал начинает свертыватся и превращаться в капли (коагуляция), вместо того чтобы течь равномерно. Это делает экструзию неравномерной, оставляя за собой капли вместо линий
* Печать более тонких линий значительно увеличивает время печати

*Не рекомендуется уменьшать ширину линии менее 60% и увеличивать ширину более 150% от размера сопла. В случае отступления от рекомендуемого диапазона вы получите недоэкструзию материала.*

Изменение ширины линии и влияние на качество
----

При печати технических изделий, которые должны быть тонкими и крепкими, часто можно столкнуться с проблемой несоответствия ширины детали ко множителю ширины линии. Если множитель ширины не равен толщине детали, то Cura обычно старается компенсировать поток соответсвующей настройкой [Компенсация перекрытия стен](../shell/travel_compensate_overlapping_walls_enabled.md). Этот параметр изменяет скорость потока через сопло, но может отрицательно сказаться на качестве поверхности.

Некоторые стенки могут печататься с нулевым значением. Это связано с тем что ширина стенки детали совсем немного превышает размеры множителя ширины линии. 

*Пояснение: Если толщина линии детали равнеа 1.0мм, а значение ширины линии = 0.3мм, то одна из линий стен будет напечатана с шириной 0мм. Для такой стенки нужно сделать минимум три линии общей шириной 0.9мм. Программа посчитает что четыре линии уже много и оставит одну линию незаполненой чтобы геометрия детали не нарушилась.*

Четкие контуры с ровными линиями делает изделие крепким и эстетичным. Отличительной чертой любого опытного пользователя программы Cura является возможность настроить ширину экструзии так, чтобы контуры заполнялись без полостей между линиями.

![Ширина линии по умолчанию. Контуры линий не подходят для качественного заполнения, а некоторые линии толще других](../../../articles/images/line_width_fit_bad.png)
![Уменьшение ширины линий приводит равномерному распределению контуров](../../../articles/images/line_width_fit_good_small.png)
![Увеличение ширины линии также работает неплохо](../../../articles/images/line_width_fit_good_large.png)

Сохранение стабильного потока материала
----

Для FDM принтера колебание потока материала может вызвать серьезные проблемы. Часть материала остается под давлением что может пагубно влиять задержкам подачи материала из сопла. Требуется некоторое время чтобы поток материала стабилизировался в системе подачи. На многих принтерах стоит система Боуден(удаленная подача материала через PTFE трубку). Такая система имеет упругость, пруток в трубке под давлением может искривляться и сжиматься. 

При резком снижении потока давление в системе сохранится, тогда получится переэкструзия. 
При резком увеличении потока потребуется больше времени чтобы давление нормализовалось, то в этом случае получится недоэкструзия.

Лучше всего придерживаться постоянного потока за счет одинаковой ширины линий на протяжении всего процесса, тем самым сохранив стабильный поток материала.

Ширина линии довольно сильно влияет на скорость потока. Рекомендуется держать ширину линий одинаковую или близкую друг к другу или к размеру сопла. Но существенно изменив ширину линии, придется подкорректировать и скорость печати чтобы обеспечить постоянную скорость потока. Это безусловно помогает в точности печати деталей.