Ширина линии стенки
====
Этот параметр отвечает за отдельную настройку ширины линии стенки. Параметр вынесен отдельным пунктом и не затрагивает остальные линии модели. Данная настройка указывает насколько широкими будут отдельные линии стенки

![Линии стенки шире остальных линий в модели](../../../articles/images/wall_line_width.png)

Уменьшение линии стенок до ширины чуть меньше диаметра сопла позволяет добиться повышенной прочности. Сопло будет выдавливать чуть меньше материала, но это позволит линиям укладываться кучнее. При укладке каждой следующей линии сопло будет разогревать часть предыдущих стенок, что позволит им прочно соединиться между собой. Таким образом прочность стен значительно повышается.

Уменьшение ширины стенок улучшает детализацию отдельных элементов объекта. Получить лучшую детализацию поверхности можно за счет отдельного параметра [Ширина линии внешней стенки](../resolution/wall_line_width_0.md).

Увеличение ширины стенки сокращает время печати. Если будет меньше линий стен, то и соответственно будет меньше проходов за одно и тоже время. Но в этом случае прочность немного уменьшится, потому что линии стен не будут сильно спекаться между собой.

Создание правильных линий
----
При печати деталей с тонкими стенками, если вы хотите получить прочную деталь, крайне важно подобрать оптимальный параметр. Программа Cura всегда рисует полные контуры линий, но если настройки будут неправильно выставлены, может образоваться зазор между соседними линиями. Это сильно снизит прочностные характеристики и точность изготовления детали тоже пострадает

Cura попытается заполнить промежутки между стенами, если параметр [Заполнение между стенками](../shell/fill_perimeter_gaps.md) будет включен. Этот метод не является идеальным решением и занимает много времени печати, особенно если эта делать сложной формы.

Может получиться так, что программа создаст стенки которые будут перекрывать друг друга, но при печати количество подаваемого пластика будет одинаковым, даже если в этом месте материал уложен.  В этом случае поможет активированная настройка [Компенсация перекрытия стен](../shell/travel_compensate_overlapping_walls_enabled.md) которая уменьшит ширину линий и обеспечит точность детали. Но этот параметр тоже не является идеальным решением и вызывает снижение качества и прочность детали.

Лучше всего подбирать ширину линии таким образом, чтобы суммарная ширина стены объекта соответствовал множителю ширины линии стенки. Лучше заранее проектировать детали учитывая ширину экструзии.  

Проектировка детали должна происходить так, чтобы стенка детали была кратного размера настройки ширины линии. Важно помнить, что вы всегда можете использовать настройки [Ширина линии внешней стенки](../resolution/wall_line_width_0.md) и [Ширина линии внутренней стенки](../resolution/wall_line_width_x.md) по отдельности чтобы добиться лучшего заполнения стен.  Изучите внимательно параметры, и сколько раз будет нарисован тот или иной контур чтобы всегда держать ситуацию под контролем.

Подбор линии стен - это еще один полезный параметр. Опытный специалист в 3D печати не должен пренебрегать такими важными настройками.